package com.tmerclub.cloud.search.canal.common;


/**
 * @author throwable
 * @version v1
 * @description
 * @since 2020/9/20 17:20
 */
public enum OperationType {

    /**
     * DML
     */
    DML("dml", "DML语句"),

    /**
     * DDL
     */
    DDL("ddl", "DDL语句"),
    ;

    private final String type;
    private final String description;

    OperationType(String type, String description) {
        this.type = type;
        this.description = description;
    }

    public String getType() {
        return type;
    }

    public String getDescription() {
        return description;
    }
}
